extends AudioStreamPlayer


# Declare member variables here. Examples:
# var a = 2
# var b = "text"


var hauruck = preload("res://audio/effects/hauruck.mp3")
var hilf_mir_papagei = preload("res://audio/effects/hilf_mir_papagei.mp3")
var hier_ist_er_nicht = preload("res://audio/effects/hier_ist_er_nicht.mp3")
var juhuu_gefunden = preload("res://audio/effects/juhuu_gefunden.mp3")
var noch_einen_schatz_finden = preload("res://audio/effects/noch_einen_schatz_finden.mp3")
var wheee = preload("res://audio/effects/wheee.mp3")
var wo_war_nochmal_der_schatz = preload("res://audio/effects/wo_war_nochmal_der_schatz.mp3")



# Called when the node enters the scene tree for the first time.
func _ready():
	hauruck.loop = false
	hilf_mir_papagei.loop = false
	hier_ist_er_nicht.loop = false
	juhuu_gefunden.loop = false
	wheee.loop = false
	wo_war_nochmal_der_schatz.loop = false
	noch_einen_schatz_finden.loop = false


func _on_World_treasure_found():
	stream = juhuu_gefunden
	play()


func _on_World_map_opened():
	stream = wo_war_nochmal_der_schatz
	play()


func _on_World_bird_flight_start():
	stream = hilf_mir_papagei
	play()


func _on_World_wrong_digsite():
	stream = hier_ist_er_nicht
	play()


func _on_World_world_generation_triggered():
	stream = noch_einen_schatz_finden
	play()


func _on_World_digging_started():
	stream = hauruck
	play()
